diff --git a/doc/src/sgml/release-18.sgml b/doc/src/sgml/release-18.sgml
index bd2b2ed6315..764c929823f 100644
--- a/doc/src/sgml/release-18.sgml
+++ b/doc/src/sgml/release-18.sgml
@@ -1530,23 +1530,6 @@ This is specified by WITHOUT OVERLAPS on the last column.
 </para>
 </listitem>
 
-
-<!--
-Author: Peter Eisentraut <peter@eisentraut.org>
-2024-11-15 [9321d2fdf] Fix collation handling for foreign keys
--->
-
-<listitem>
-<para>
-Require primary/foreign key relationships to use either deterministic collations or the the same nondeterministic collations (Peter Eisentraut)
-<ulink url="&commit_baseurl;9321d2fdf">&sect;</ulink>
-</para>
-
-<para>
-The restore of a pg_dump, also used by pg_upgrade, will fail if these requirements are not met;  schema changes must be made for these upgrade methods to succeed.
-</para>
-</listitem>
-
 <!--
 Author: Peter Eisentraut <peter@eisentraut.org>
 2025-01-11 [ca87c415e] Add support for NOT ENFORCED in CHECK constraints
@@ -1567,42 +1550,46 @@ This also adds column pg_constraint.conenforced.
 </listitem>
 
 <!--
-Author: Álvaro Herrera <alvherre@alvh.no-ip.org>
-2025-04-07 [a379061a2] Allow NOT NULL constraints to be added as NOT VALID
+Author: Peter Eisentraut <peter@eisentraut.org>
+2024-11-15 [9321d2fdf] Fix collation handling for foreign keys
 -->
 
 <listitem>
 <para>
-Allow ALTER TABLE to set the NOT VALID attribute of NOT NULL constraints (Rushabh Lathia, Jian He)
-<ulink url="&commit_baseurl;a379061a2">&sect;</ulink>
+Require primary/foreign key relationships to use either deterministic collations or the the same nondeterministic collations (Peter Eisentraut)
+<ulink url="&commit_baseurl;9321d2fdf">&sect;</ulink>
+</para>
+
+<para>
+The restore of a pg_dump, also used by pg_upgrade, will fail if these requirements are not met;  schema changes must be made for these upgrade methods to succeed.
 </para>
 </listitem>
 
 <!--
 Author: Álvaro Herrera <alvherre@alvh.no-ip.org>
-2025-01-23 [b663b9436] Allow NOT VALID foreign key constraints on partitioned t
+2024-11-08 [14e87ffa5] Add pg_constraint rows for not-null constraints
 -->
 
 <listitem>
 <para>
-Allow NOT VALID foreign key constraints on partitioned tables (Amul Sul)
-<ulink url="&commit_baseurl;b663b9436">&sect;</ulink>
+Store column NOT NULL specifications in pg_constraint (Álvaro Herrera, Bernd Helmle)
+<ulink url="&commit_baseurl;14e87ffa5">&sect;</ulink>
+</para>
+
+<para>
+This allows names to be specified for NOT NULL constraint.  This also adds NOT NULL constraints to foreign tables and NOT NULL inheritance control to local tables.
 </para>
 </listitem>
 
 <!--
 Author: Álvaro Herrera <alvherre@alvh.no-ip.org>
-2024-09-30 [4dea33ce7] Don't disallow DROP of constraints ONLY on partitioned t
+2025-04-07 [a379061a2] Allow NOT NULL constraints to be added as NOT VALID
 -->
 
 <listitem>
 <para>
-Allow dropping of constraints ONLY on partitioned tables (Álvaro Herrera)
-<ulink url="&commit_baseurl;4dea33ce7">&sect;</ulink>
-</para>
-
-<para>
-This was previously erroneously prohibited.
+Allow ALTER TABLE to set the NOT VALID attribute of NOT NULL constraints (Rushabh Lathia, Jian He)
+<ulink url="&commit_baseurl;a379061a2">&sect;</ulink>
 </para>
 </listitem>
 
@@ -1615,7 +1602,7 @@ Author: Álvaro Herrera <alvherre@alvh.no-ip.org>
 
 <listitem>
 <para>
-Allow modification of the inheritability of constraints (Suraj Kharage, Álvaro Herrera)
+Allow modification of the inheritability of NOT NULL constraints (Suraj Kharage, Álvaro Herrera)
 <ulink url="&commit_baseurl;f4e53e10b">&sect;</ulink>
 <ulink url="&commit_baseurl;4a02af8b1">&sect;</ulink>
 </para>
@@ -1627,17 +1614,29 @@ The syntax is ALTER TABLE ... ALTER CONSTRAINT ... [NO] INHERIT.
 
 <!--
 Author: Álvaro Herrera <alvherre@alvh.no-ip.org>
-2024-11-08 [14e87ffa5] Add pg_constraint rows for not-null constraints
+2025-01-23 [b663b9436] Allow NOT VALID foreign key constraints on partitioned t
 -->
 
 <listitem>
 <para>
-Store column NOT NULL specifications in pg_constraint (Álvaro Herrera, Bernd Helmle)
-<ulink url="&commit_baseurl;14e87ffa5">&sect;</ulink>
+Allow NOT VALID foreign key constraints on partitioned tables (Amul Sul)
+<ulink url="&commit_baseurl;b663b9436">&sect;</ulink>
 </para>
+</listitem>
+
+<!--
+Author: Álvaro Herrera <alvherre@alvh.no-ip.org>
+2024-09-30 [4dea33ce7] Don't disallow DROP of constraints ONLY on partitioned t
+-->
 
+<listitem>
 <para>
-This allows names to be specified for NOT NULL constraint.  This also adds NOT NULL constraints to foreign tables and NOT NULL inheritance control to local tables.
+Allow dropping of constraints ONLY on partitioned tables (Álvaro Herrera)
+<ulink url="&commit_baseurl;4dea33ce7">&sect;</ulink>
+</para>
+
+<para>
+This was previously erroneously prohibited.
 </para>
 </listitem>
 
